package com.gprinter.udp.wifi.set;

import com.gprinter.udp.CommandUDP;
import com.gprinter.udp.Response;

/* loaded from: com_gprinter_udp_wifi_set.jar:com/gprinter/udp/wifi/set/SettingStaDnsCommand.class */
public class SettingStaDnsCommand extends CommandUDP {
    private String dns;

    public SettingStaDnsCommand(String dns) {
        this.dns = dns;
    }

    public byte[] getCommand() {
        return getAT_DNS(this.dns).getBytes();
    }

    public Response resolveResponseData(long uuid, byte[] data) {
        if (data != null) {
            try {
                String response = new String(data);
                ResultResp resultResp = new ResultResp();
                if (response.contains("+ok")) {
                    resultResp.setResult(true);
                } else {
                    resultResp.setResult(false);
                }
                return resultResp;
            } catch (Exception e) {
                e.printStackTrace();
                return null;
            }
        }
        return null;
    }

    public String getAT_DNS(String DNS) {
        if (!DNS.equals("")) {
            String cmd = "AT+WSDNS=" + DNS;
            return cmd + "\r";
        }
        return "";
    }
}
